
Katello - Bug #24063

Investigate running hammer-cli-foreman tests with hammer-cli-katello loaded

06/25/2018 02:53 PM - Andrew Kofink

Status: New   

Priority: Normal   

Assignee: Andrew Kofink   

Category: Tests   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

hammer-cli-katello extends some hammer-cli-foreman commands, namely host/hostgroups. We have faced several bugs in

hammer-cli-katello that are caused by overriding the h-c-foreman behavior and lacking tests in h-c-katello that h-c-foreman tests. It'd

be great if we could run the h-c-foreman tests during the h-c-katello tests to ensure h-c-katello doesn't break any Foreman resource

commands.

Related issues:

Related to Katello - Bug #23993: Filtering of some entities does not work Closed

History

#1 - 06/25/2018 04:27 PM - Ivan Necas

- Related to Bug #23993: Filtering of some entities does not work added

#2 - 06/27/2018 05:51 PM - Andrew Kofink

- translation missing: en.field_release set to 114

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

http://www.tcpdf.org

